rem Деноминация Основных средств (без проводок)

        d = open("tdata")
        getfirst(d)
        Data = 'Тек.дата'.d
        close(d)
        db1 = open("plan")
        dos = open("osv")
        for i = 1 to size(db1)
          if i = 1 then getfirst(db1)
          if i > 1 then getnext(db1)
          if trim('Номер'.db1) = "000" then goto 100
          if trim('Расчеты'.db1) = "ОС" | trim('Расчеты'.db1) = "ос" then goto 800
          goto 100
800       db2 = open(trim('Номер'.db1))
          saldo = 0.0
          count = size(db2)
          for j = 1 to count
            if j = 1 then getfirst(db2)
            if j > 1 then getnext(db2)
            DbSum = 'DbS_конец'.db2
            KrSum = 'KrS_конец'.db2
            if DbSum = 0 & KrSum = 0 then goto 850
            'DbS_конец'.db2 = 'DbS_конец'.db2 / 1000
            'KrS_конец'.db2 = 'KrS_конец'.db2 / 1000
            'Бал.ст-ть'.db2 = 'DbS_конец'.db2 - 'KrS_конец'.db2
            saldo = saldo + 'Бал.ст-ть'.db2 
            'Износ'.db2 = 'Износ'.db2 / 1000
            'Остаточная'.db2 = 'Бал.ст-ть'.db2 - 'Износ'.db2
            update(db2)
850       next
          close(db2)
          if Find(dos,1,1,'Номер'.db1) != 0 then goto 100
          'DbS_конец'.dos = saldo
          update(dos)
100     next
        close(dos)
        close(db1)
        end
